Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class GeneralExtension

    java.lang.Object
      org.deegree.portal.context.GeneralExtension

    public class GeneralExtension

extends Object

this class encapsulates the deegree specific extensions of the general section of a web map context document. this is a description of the GUI including the used modules (`Frontend`) and the parameters to control the map view ( `Marshallable`).

Version:
  $Revision: 21693 $, $Date: 2010-01-03 15:07:54 +0100 (So, 03. Jan 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Constructor Summary
`GeneralExtension(IOSettings iOSettings, Frontend frontend, MapParameter mapParameter, AuthentificationSettings authSettings, String mode, Node layerTreeRoot)` Creates a new GeneralExtension object.
`GeneralExtension(IOSettings iOSettings, Frontend frontend, MapParameter mapParameter, AuthentificationSettings authSettings, String mode, Node layerTreeRoot, MapModel mapModel, URL xslt)` Creates a new GeneralExtension object.

Method Summary
`AuthentificationSettings` | `getAuthentificationSettings()`
`String` | `getBgColor()` returns the desired background color of the map
`Frontend` | `getFrontend()` returns the frontend (GUI) description encapsulating objekt
`IOSettings` | `getIOSettings()`
`Node` | `getLayerTreeRoot()`
`MapModel` | `getMapModel()`
`MapParameter` | `getMapParameter()` returns the parameters describing the control options for the map
`String` | `getMode()` returns the current mode of a map client using a WMC.
`URL` | `getXslt()`
`boolean` | `isTransparent()` returns true if the maps background should be transparent
`void` | `setAuthentificationSettings(AuthentificationSettings authSettings)`
`void` | `setBgColor(String bgColor)`
`void` | `setFrontend(Frontend frontend)` sets the frontend (GUI) description encapsulating objekt
`void` | `setIOSettings(IOSettings settings)`
`void` | `setLayerTreeRoot(Node layerTreeRoot)`
`void` | `setMapModel(MapModel mapModel)`
`void` | `setMapParameter(MapParameter mapParameter)` sets the parameters describing the control options for the map
`void` | `setMode(String mode)`
`void` | `setTransparent(boolean transparent)`
`void` | `setXslt(URL xslt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralExtension

    public GeneralExtension(IOSettings iOSettings,
                            Frontend frontend,
                            MapParameter mapParameter,
                            AuthentificationSettings authSettings,
                            String mode,
                            Node layerTreeRoot)

  Creates a new GeneralExtension object.

  Parameters:
    `iOSettings` -
    `frontend` -
    `mapParameter` -
    `authSettings` -
    `mode` -
    `layerTreeRoot` -

### GeneralExtension

    public GeneralExtension(IOSettings iOSettings,
                            Frontend frontend,
                            MapParameter mapParameter,
                            AuthentificationSettings authSettings,
                            String mode,
                            Node layerTreeRoot,
                            MapModel mapModel,
                            URL xslt)

  Creates a new GeneralExtension object.

  Parameters:
    `iOSettings` -
    `frontend` -
    `mapParameter` -
    `authSettings` -
    `mode` -
    `layerTreeRoot` -
    `mapModel` -
    `xslt` -

Method Detail

### getXslt

    public URL getXslt()

  Returns:
    the xslt

### setXslt

    public void setXslt(URL xslt)

  Parameters:
    `xslt` - the xslt to set

### getMapModel

    public MapModel getMapModel()

  Returns:
    the mapModel

### setMapModel

    public void setMapModel(MapModel mapModel)

  Parameters:
    `mapModel` - the mapModel to set

### isTransparent

    public boolean isTransparent()

  returns true if the maps background should be transparent

  Returns:
    `true` if the maps background should be transparent

### setTransparent

    public void setTransparent(boolean transparent)

  Parameters:
    `transparent` -
  See Also:
    `isTransparent()`

### getBgColor

    public String getBgColor()

  returns the desired background color of the map

  Returns:
    the desired background color of the map

### setBgColor

    public void setBgColor(String bgColor)

  Parameters:
    `bgColor` -
  See Also:
    `getBgColor()`

### getFrontend

    public Frontend getFrontend()

  returns the frontend (GUI) description encapsulating objekt

  Returns:
    the frontend (GUI) description encapsulating objekt

### setFrontend

    public void setFrontend(Frontend frontend)

  sets the frontend (GUI) description encapsulating objekt

  Parameters:
    `frontend` - `Frontend`

### getMapParameter

    public MapParameter getMapParameter()

  returns the parameters describing the control options for the map

  Returns:
    `MapParameter` encapsulating several control params

### setMapParameter

    public void setMapParameter(MapParameter mapParameter)

  sets the parameters describing the control options for the map

  Parameters:
    `mapParameter` - `MapParameter` encapsulating several control params

### getIOSettings

    public IOSettings getIOSettings()

  Returns:
    Returns the iOSettings.

### setIOSettings

    public void setIOSettings(IOSettings settings)

  Parameters:
    `settings` - The iOSettings to set.

### getAuthentificationSettings

    public AuthentificationSettings getAuthentificationSettings()

  Returns:
    the authenication settings

### setAuthentificationSettings

    public void setAuthentificationSettings(AuthentificationSettings authSettings)

  Parameters:
    `authSettings` - the new authentication settings.

### getMode

    public String getMode()

  returns the current mode of a map client using a WMC. A mode defines the action that occurs if a user performs a mouse action on the map

  Returns:
    the current mode of a map client using a WMC. A mode defines the action that occurs if a user performs a mouse action on the map

### setMode

    public void setMode(String mode)

  Parameters:
    `mode` -
  See Also:
    `getMode()`

### setLayerTreeRoot

    public void setLayerTreeRoot(Node layerTreeRoot)

  Parameters:
    `layerTreeRoot` - to set

### getLayerTreeRoot

    public Node getLayerTreeRoot()

  Returns:
    the xml-element containing the layer tree root.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org